<?php

defined( 'ABSPATH' ) || exit;

global $product;
$image_id = $product->get_image_id();
if ( ! empty( $image_id ) ) {
	$image_src = wp_get_attachment_image_src( $image_id, apply_filters( 'bopobb_item_gallery_size', apply_filters( 'woocommerce_gallery_thumbnail_size', 'woocommerce_single' ) ) );
	$image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true );
} else {
	$image_src[0] = wc_placeholder_img_src( 'woocommerce_single' );
	$image_alt    = esc_html__( 'Awaiting product image' );
}
?>

    <div class="bopobb-gallery-img-wrap">
		<?php
		$image = '<img src="' . $image_src[0] . '" alt="' . $image_alt . ' />';
		echo wp_kses_post( $image );
		?>
    </div>
<?php
$gallery_ids = $product->get_gallery_image_ids();
if ( count( $gallery_ids ) ) {
	foreach ( $gallery_ids as $image_id ) {
		$image_src = wp_get_attachment_image_src( $image_id, apply_filters( 'bopobb_item_gallery_size', apply_filters( 'woocommerce_gallery_thumbnail_size', 'woocommerce_single' ) ) );
		$image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true );
		$image     = '<img src="' . $image_src[0] . '" alt="' . $image_alt . ' />';
		?>
        <div class="bopobb-gallery-img-wrap">
			<?php echo wp_kses_post( $image ); ?>
        </div>
		<?php
	}
}
